# VectorNav C++ Library: vn::sensors::MagnetometerCalibrationControlRegister Struct Reference

vn::sensors::MagnetometerCalibrationControlRegister Struct Reference
Register Structures

Structure representing the Magnetometer Calibration Control register. More...

`#include <registers.h>`

## Public Member Functions

| MagnetometerCalibrationControlRegister (protocol::uart::HsiMode hsiModeIn, protocol::uart::HsiOutput hsiOutputIn, uint8_t convergeRateIn)
| Creates an initializes a new MagnetometerCalibrationControlRegister structure. More...

## Public Attributes

protocol::uart::HsiMode | hsiMode
| The hsiMode field.
protocol::uart::HsiOutput | hsiOutput
| The hsiOutput field.
uint8_t | convergeRate
| The convergeRate field.

## Detailed Description

Structure representing the Magnetometer Calibration Control register.

## Constructor & Destructor Documentation

vn::sensors::MagnetometerCalibrationControlRegister::MagnetometerCalibrationControlRegister | ( | protocol::uart::HsiMode | hsiModeIn,
|  | protocol::uart::HsiOutput | hsiOutputIn,
|  | uint8_t | convergeRateIn
| ) |  |

inline

Creates an initializes a new MagnetometerCalibrationControlRegister structure.

Parameters

  [in] | hsiModeIn | Value to initialize the hsiMode field with.
  [in] | hsiOutputIn | Value to initialize the hsiOutput field with.
  [in] | convergeRateIn | Value to initialize the convergeRate field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h